

<Designing>:
    orientation: "vertical"
    canvas.before:
        Color:
            rgba: bg_col
        RoundedRectangle:
            size: self.size
            pos: self.pos
            radius: [5]


    BoxLayout:
        size_hint: 1,.15
        spacing: 1
        padding: 20,5

        Label:
            id: empty

        SpinBox:
            id: moharek_cnt
            size_hint: None, None
            pos_hint:{"center_y":.5}
            width: 80
            height: 30
            val: 3
            min: 1
            max: 10
            steping: 1
            bound: 10

        Label:
            id: empty
            size_hint_x: None
            width: 5
        Label_f:
            color: 0,0,0,1
            text: strs.moharek_count
            size_hint_x: None
            size: self.texture_size
            pos_hint:{"center_y":.5}
        Label:
            id: empty
            size_hint_x: None
            width: 300


        C_Spinner:
            id: a_type
            size_hint: None,None
            height: 30
            width: 120
            pos_hint:{"center_y":.5}
        Label:
            id: empty
            size_hint_x: None
            width: 5
        Label_f:
            color: 0,0,0,1
            text: strs.az_type
            size_hint_x: None
            size: self.texture_size
            pos_hint:{"center_y":.5}



    BoxLayout:
        size_hint: 1,.15
        spacing: 1
        padding: 20,5

        Label:
            id: empty
        Label_f:
            text: strs.sec
            size_hint_x: None
            size: self.texture_size
            color: (0,0,0,1)


        Num_Text:
            id: pish_dore_time
            text: "3.0"
            max_chars: 4
            size_hint: None,None
            width: 80
            font_size: 18
            height: 30 # self.font_size * 1.8
            pos_hint:{"center_y":.5}
            padding_x: 23
            #padding_y: 12
        Label:
            id: empty
            size_hint_x: None
            width: 5

        Label_f:
            color: 0,0,0,1
            text: strs.pishdore_time
            size_hint_x: None
            size: self.texture_size
            pos_hint:{"center_y":.5}
        Label:
            id: empty
            size_hint_x: None
            width: 170

        C_Spinner:
            id: warning_type
            size_hint: .3,None
            height: 30
            pos_hint:{"center_y":.5}
        Label:
            id: empty
            size_hint_x: None
            width: 5

        Label_f:
            color: 0,0,0,1
            text: strs.warning_type
            size_hint_x: None
            size: self.texture_size
            pos_hint:{"center_y":.5}



    BoxLayout:
        size_hint: 1,.15
        spacing: 1
        padding: 20,5

        #Label:
        #    id: empty

        Label_f:
            id: sec_lb
            text: strs.sec
            size_hint_x: None
            size: self.texture_size
            color: (0,0,0,1)

        Num_Text:
            id: m_p_time
            text: "2.0"
            max_chars: 4
            size_hint: None,None
            width: 80
            font_size: 18
            height: 30 # self.font_size * 1.8
            pos_hint:{"center_y":.5}
            padding_x: 23

        Label:
            id: empty
            size_hint_x: None
            width: 5

        Label_f:
            id: m_p_time_text
            color: 0,0,0,1
            text: strs.moharek_p_time
            size_hint_x: None
            size: self.texture_size

        Label:
            id: empty
            size_hint_x: None
            width: 200

        Label_f:
            text: strs.sec
            size_hint_x: None
            size: self.texture_size
            color: (0,0,0,1)


        Num_Text:
            id: m_m_time
            text: "1.0"
            max_chars: 4
            size_hint: None,None
            width: 80
            font_size: 18
            height: 30 # self.font_size * 1.8
            pos_hint:{"center_y":.5}
            padding_x: 23

        Label:
            id: empty
            size_hint_x: None
            width: 5

        Label_f:
            id: m_m_time_text
            color: 0,0,0,1
            text: strs.moharek_vasat_time
            size_hint_x: None
            size: self.texture_size

        Label:
            id: empty
            size_hint_x: None
            width: 205

        C_Spinner:
            id: m_type
            size_hint: None, None
            height: 30
            pos_hint:{"center_y":.5}

        Label:
            id: empty
            size_hint_x: None
            width: 5

        C_Spinner:
            id: m_presentation
            size_hint: None, None
            height: 30
            pos_hint:{"center_y":.5}

        Label:
            id: empty
            size_hint_x: None
            width: 5

        Label_f:
            color: 0,0,0,1
            text: strs.moharek_type
            size_hint_x: None
            size: self.texture_size


    BoxLayout:
        BoxLayout:
            id: chideman
            size_hint_x: .8
            padding: 20
            FloatLayout:
                canvas.before:
                    Color:
                        rgb: .4,.3,.7
                    RoundedRectangle:
                        size: self.size
                        pos: self.pos
                        radius: [5,5,5,5]

                Label_f:
                    text: strs.workarea
                    size_hint: None, None
                    size: self.texture_size
                    pos_hint: {"top":.98,"center_x":0.4}
                    canvas.before:
                        Color:
                            rgba: 1,0,0,.3
                        RoundedRectangle:
                            size: self.size
                            pos: self.pos
                            radius: [8,8,8,8]

                Label:
                    id: workarea
                    size_hint: None, .8
                    width: self.height

                    pos_hint: {"top":.9,"center_x":0.4}
                    canvas.before:
                        Color:
                            rgba: 1,0,0,.3
                        Line:
                            width: 3
                            rectangle: self.x,self.y,self.width,self.height
                            joint_precision: 2

                Cbtn:
                    tip: strs.default_pos
                    size_hint: None, None
                    size: 64,64
                    pos_hint:{"x":.03,"y":.8}
                    background_normal: "data/icons/default.png"
                    on_release: root.set_def_pos()


                ToggleButton:
                    id: cmd_0
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 - 35,root.ids.workarea.pos[1]+root.ids.workarea.height/2 - 35]
                    text: "0"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_1
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 - 35,root.ids.workarea.pos[1]+root.ids.workarea.height/2 + 35]
                    text: "1"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_2
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 + 35,root.ids.workarea.pos[1]+root.ids.workarea.height/2 + 35]
                    text: "2"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_3
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 + 35,root.ids.workarea.pos[1]+root.ids.workarea.height/2 - 35]
                    text: "3"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_4
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 + 35,root.ids.workarea.pos[1]+root.ids.workarea.height/2 - 105]
                    text: "4"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_5
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 - 35,root.ids.workarea.pos[1]+root.ids.workarea.height/2 - 105]
                    text: "5"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_6
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 - 105,root.ids.workarea.pos[1]+root.ids.workarea.height/2 - 105]
                    text: "6"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_7
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 - 105,root.ids.workarea.pos[1]+root.ids.workarea.height/2 - 35]
                    text: "7"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)

                ToggleButton:
                    id: cmd_8
                    size_hint: None,None
                    size: 68,68
                    pos : [root.ids.workarea.pos[0]+root.ids.workarea.width/2 - 105,root.ids.workarea.pos[1]+root.ids.workarea.height/2 + 35]
                    text: "8"
                    background_normal:""
                    background_color: .6,.6,.6,1
                    on_state: root.positioning(self)


        BoxLayout:
            orientation: "vertical"
            padding: 20,20
            size_hint_x: .2
            canvas.before:
                Color:
                    rgb: .9,.9,.9,1
                Line:
                    width: 1
                    points: self.x,self.y+5, self.x, self.y+self.height-5

            BoxLayout:
                size_hint_y: None
                height: 40
                spacing: 5

                Label_f:
                    color: 0,0,0,1
                    text: strs.double_moharek
                    text_size: self.size
                    halign:"right"
                    valign:"center"
                    font_size: 18

                CheckBox:
                    size_hint_x: None
                    width: 20
                    id: double_m_chk
                    color: .1,.1,.1,3



            BoxLayout:
                orientation: "vertical"
                spacing: 10
                padding: 30,5
                size_hint_y: None
                height: 120

                Button_f:
                    id: film_load
                    text: strs.film_load
                    size_hint_y: None
                    height: 45
                    disabled: True
                    on_release: root.loader(mode=0)

                Button_f:
                    id: audio_load
                    text: strs.audio_load
                    size_hint_y: None
                    height: 45
                    disabled: True

                    on_release: root.loader(mode=1)

            Label:
                id: empty
                size_hint_y: None
                height: 40



            BoxLayout:
                size_hint_y: None
                height: 40
                spacing: 5


                Label_f:
                    color: 0,0,0,1
                    text: strs.nasazegar
                    font_size: 18
                    text_size: self.size
                    halign:"right"
                    valign:"center"


                CheckBox:
                    id: nasazegary_chk
                    size_hint_x: None
                    width: 20
                    color: 0.1,0.1,.1,3



            Label:
                id: empty

            BoxLayout:
                pos_hint: {"center_y":.5}
                size_hint_y: None
                height: 40
                spacing: 25


                Cbtn:
                    tip: strs.cancel
                    size_hint: None, None
                    #text_size: self.size
                    #valign: "top"
                    #halign: "center"
                    size: 64,64
                    background_normal: "data/icons/close_bg.png"
                    on_release: root.cncl()
                Cbtn:
                    tip: strs.start
                    size_hint: None, None
                    #text_size: self.size
                    #valign: "top"
                    #halign: "center"
                    size: 64,64
                    background_normal: "data/icons/next.png"
                    on_release: root.Go()

                #Cbtn:
                #    tip: strs.excel
                #    size_hint: None, None
                    #text_size: self.size
                    #valign: "top"
                    #halign: "center"
                #    size: 64,64
                #    background_normal: "data/icons/execl.png"
                 #   on_release: root.excel()

